services:
  cli:
    image: cerc/laconic-registry-cli:local
    command: ["bash", "-c", "/app/create-config.sh && tail -f /dev/null"]
    environment:
      CERC_LACONICD_RPC_ENDPOINT: ${CERC_LACONICD_RPC_ENDPOINT:-http://laconicd:26657}
      CERC_LACONICD_GQL_ENDPOINT: ${CERC_LACONICD_GQL_ENDPOINT:-http://laconicd:9473/api}
      CERC_LACONICD_CHAIN_ID: ${CERC_LACONICD_CHAIN_ID:-laconic_9000-1}
      CERC_LACONICD_USER_KEY: ${CERC_LACONICD_USER_KEY}
      CERC_LACONICD_BOND_ID: ${CERC_LACONICD_BOND_ID}
      CERC_LACONICD_GAS: ${CERC_LACONICD_GAS:-200000}
      CERC_LACONICD_FEES: ${CERC_LACONICD_FEES:-200alnt}
      CERC_LACONICD_GASPRICE: ${CERC_LACONICD_GASPRICE:-0.001alnt}
    volumes:
      - ../config/laconic-console/cli/create-config.sh:/app/create-config.sh
      - laconic-registry-data:/laconic-registry-data
    extra_hosts:
      - "host.docker.internal:host-gateway"

  console:
    restart: unless-stopped
    image: cerc/laconic-console-host:local
    environment:
      CERC_SCRIPT_DEBUG: ${CERC_SCRIPT_DEBUG}
      CERC_WEBAPP_FILES_DIR: ${CERC_WEBAPP_FILES_DIR:-/usr/local/share/.config/yarn/global/node_modules/@cerc-io/console-app/dist/production}
      LACONIC_HOSTED_ENDPOINT: ${LACONIC_HOSTED_ENDPOINT:-http://localhost:9473}
    volumes:
      - ../config/laconic-console/console/config.yml:/config/config.yml
    ports:
      - "80"

volumes:
  laconic-registry-data:
